import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_ui/hera_ui.dart';
import 'package:nuntio_hera/hera_ui/models.dart';
import 'package:with_ui_example/home/home.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Hera.initialize(
    debug: true,
    publicApiKey: 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJwcm9qZWN0X2lkIjoiZmJiMzJlZGYtOTRjOS00ZmE0LWE2NzctYjgzYjc5MTI3MTg4IiwicGFydG5lcl9pZCI6Im51bnRpby1jbG91ZC1mci1wYXItMSIsImFwaV91cmwiOiJmci1wYXItMS5udW50aW8uaW86NDQzIiwia2V5X3R5cGUiOjIsImp0aSI6Ijc0NDU4NWI4LTljY2YtNGUzZS05MjFmLThiNzVjNDlkMzE1YyIsImlzcyI6Im51bnRpby1jbG91ZC1pc3N1ZXIifQ.nd0rdDP5uHxkeTzORJGbOkIKuVOtyptLnSiIRStNPjsavkab2oOrOK6OWwX_zOmVS68jt2EG794xIBbDYKP0AVVG4iF8TwOr6XrptRhYjdQLG9mBEemWcobIKWXrZODBFCiym8vIwKTFs1Fu-DtTLCrKYxT7Yh4FhimO5oSR8xJr7qg5FOf_Ngufz9tzi9aa3tTfVyk0cNm18OX4d9XVFJJQ1yPRs1YD2jP12RlP0z_077Z6I4hgbuE176VCMfR04EMvAe_AUu8hRI8q2J1KJ7RBghTHXtghkaPu5dQwqm8PxwO8wyppJdE_fS_5oBCI-D8Pm1AG5hMec45thcIpZQ'
  );
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return HeraUI(
      //excludeAuthMechanisms: [LoginType.EMAIL_PASSWORD],
      heraTextStyle: HeraTextStyle(),
      brightness: Brightness.light,
      child: Home(),
    );
  }
}
